package cn.com.qmth.stmms.ms.commons.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description: 档位配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/11/08
 */
@Component
@ConfigurationProperties(prefix = "sys.level", ignoreUnknownFields = false)
public class LevelConfig {

    private boolean autoCallback;//是否开启档位仲裁自动打回

    public boolean isAutoCallback() {
        return autoCallback;
    }

    public void setAutoCallback(boolean autoCallback) {
        this.autoCallback = autoCallback;
    }
}
